IDEA 3.0 highlighting errors with jdk 1.5

I just started a new project with j2SE 1.5. IDEA is highlighting errors when calling functions of standard java classes like String and Integer.

for instance if I call myString.length(), it highlights length in red and on mouseover shows "Cannot resolve symbol length". It also cannot offer suggestions of functions for standard java classes. Everything compiles and runs ok however. in project Properties things look to be set up correctly, what am I missing?

2 comments

I was not aware that 3.0 supported Java5.

Norris Shelton
Sun Certified Java Programmer




Paul wrote:

>I just started a new project with j2SE 1.5. IDEA is highlighting errors when calling functions of standard java classes like String and Integer.
>
>for instance if I call myString.length(), it highlights length in red and on mouseover shows "Cannot resolve symbol length". It also cannot offer suggestions of functions for standard java classes. Everything compiles and runs ok however. in project Properties things look to be set up correctly, what am I missing?
>
>

>

0

Norris Shelton wrote:

I was not aware that 3.0 supported Java5.

Indeed it doesn't

--
Maxim Shafirov
JetBrains Inc.
http://www.jetbrains.com
"Develop with pleasure!"

0

Please sign in to leave a comment.